#include "tst3.h"
#include <string>
#include <QScrollArea>
#include <QLabel>
#include "windows.h"

using namespace std;

QScrollArea* area;

tst3::tst3(QWidget *parent, Qt::WFlags flags)
	: QMainWindow(parent, flags)
{
	ui.setupUi(this);

	CreateScrollArea();
}

tst3::~tst3()
{

}

QFrame* tst3::AddFrame()
{
	QFrame* frame = new QFrame();

	frame->setFrameShape(QFrame::Panel);
	frame->setFrameShadow(QFrame::Raised);
	frame->setMinimumSize(QSize(100, 100));

	return frame;
}


void tst3::on_pushButton_clicked()
{
	static int cnt = 0;

	QFrame* newframe = AddFrame();

	QGridLayout* grid = (QGridLayout*)area->layout();
	grid->addWidget(newframe, cnt / 4, cnt % 4);

	//ui.fr->updateGeometry();//  
	
	cnt++;
}

void tst3::CreateScrollArea()
{
	QHBoxLayout* hlay = new QHBoxLayout(ui.fr);

	ui.fr->setLayout(hlay);

	area = new QScrollArea(ui.fr);

	hlay->insertWidget(0, area);

	area->setVisible(true);
	area->setFrameShape(QFrame::NoFrame);
	area->setMinimumSize(QSize(200, 85));

	QGridLayout* grid = new QGridLayout;//  

	area->setLayout(grid);

}
